%exam_8_28
clear;
M=-10*pi:0.01:10*pi;
num=[1,0,0,6];den=[1,1,4,4];
% num=[1,1,0];den=[1,0.1,-0.2];
% freqz(num,den,M);
H=freqz(num,den,M);
subplot(2,1,1);
plot(M./pi,10*log10(abs(H))),grid on;
set(gca,'Fontsize',20);
xlabel('Normalized Frequency(x\pi rad/s)','Fontsize',20),ylabel('Magnitude(dB)','Fontsize',20);
% title('离散系统的幅频特性','Fontsize',20);
subplot(2,1,2);
plot(M./pi,angle(H)),grid on;
set(gca,'Fontsize',20);
xlabel('Normalized Frequency(x\pi rad/s)','Fontsize',20),ylabel('Phase(degrees)','Fontsize',20);
% title('离散系统的相频特性','Fontsize',20);

